Bug 428578

Summary: Update to latest versions of Xen and libvirt breaks gnome-applet-vm functionality: "unable to connect to hypervisor"
Product: [Fedora] Fedora Reporter: jujarian <jujarian>
Component: gnome-applet-vmAssignee: Karel Zak <kzak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: torel
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:47:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description jujarian 2008-01-13 14:06:47 EST
Description of problem:
Following the update to latest versions of xen and libvirt, gnome-applet-vm
can't connect to the hypervisor any more. Virt-Manager still works as it should.

Version-Release number of selected component (if applicable):
vm_applet 0.1.2-2.fc7
xen 3.1.2-1.fc8
libvirt 0.4.0-2.fc8

How reproducible:
always

Steps to Reproduce:
1. update to current xen and libvirt via yum
2. add gnome-applet-vm to panel

  
Actual results:
applet displays a "failed to connect to hypervisor" tooltip

Expected results:
applet should be able to connect

Additional info:
In /etc/xen/xend-config.sxp the unix server is enabled: (xend-unix-server yes)

Before the update, using the following versions
xen 3.1.0-13.fc8 and
libvirt 0.3.3-2.fc8
the applet caused abnormal behaviour of xen: after shutting down any domU they
still show up with an ID and memory allocated in both xm list/virt-manager, but
apparently they actually are shut down. At least gnome-applet-vm recognized them
as such. xm destroy would not work, only a xend restart would reset this.

In the log there was an error message which looks very much like and also
reflects the symptoms described here:
http://lists.xensource.com/archives/html/xen-devel/2007-09/msg00108.html

Maybe this info can help crack down on why the applet can't connect to xen in
the way it does any more.
Comment 1 Tore H. Larsen 2008-03-28 21:08:07 EDT
Fedora 9. 2.6.25-0.163.rc7.git1.fc9.x86_64 

Mar 29 01:53:43 bgo-s-101 libvirtd: Policy kit denied action
org.libvirt.unix.monitor from pid 5075, uid 500, result: no
Mar 29 01:54:46 bgo-s-101 libvirtd:last message repeated 21 times

Only have kvm, kqemu and qemu stuff installed. Still have the same problem.

# rpm -qa | egrep -e "qemu|kvm|xen|applet-vm"
ikvm-devel-0.22-10.fc6.x86_64
qemu-launcher-1.7.4-4.fc9.noarch
ikvm-0.22-10.fc6.x86_64
qemu-img-0.9.1-5.fc9.x86_64
kvm-64-1.fc9.x86_64
qemu-0.9.1-5.fc9.x86_64
xen-libs-3.2.0-10.fc9.x86_64
xen-devel-3.2.0-10.fc9.x86_64
gnome-applet-vm-0.2.0-2.fc9.x86_64
Comment 2 Bug Zapper 2008-11-26 04:25:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:47:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.